Get Revenue, ADR, and Occupancy metrics for a location

Either address or both lat and lng must be provided as location input.

Headers

X-API-KeystringRequired
Your PriceLabs API key.

Query parameters

latdoubleOptional

Latitude of the property location. Accepted range is -90 to +90. Required if address is not provided.

lngdoubleOptional

Longitude of the property location. Accepted range is -180 to +180. Required if address is not provided.

addressstringOptional
Full address of the property. Either address or both lat and lng must be provided.
currencystringRequired

Currency code for the revenue estimates (e.g. USD, EUR, GBP, INR, AUD).

bedroom_categoryintegerRequired
Number of bedrooms for the property. Use 0 for studio.
monthlybooleanOptional

When set to true, the response includes a MonthlyBreakup object with month-by-month KPIs. Defaults to false.

filtersstringOptional
A JSON string containing filter criteria to narrow comparable listings. Pass as a JSON string, not a JSON object. Supported keys: - **pool** (0 or 1) — Filter by pool availability - **hottub** (0 or 1) — Filter by hot tub availability - **ratings** ({"gt": n, "lt": n}) — Filter by listing ratings range - **review_count** ({"gt": n, "lt": n}) — Filter by review count range - **bathroom** ({"gt": n, "lt": n}) — Filter by number of bathrooms range - **max_guest** ({"gt": n, "lt": n}) — Filter by maximum guest capacity range **Example value (pass as a JSON string, not a JSON object):** ``` '{"pool": 0, "hottub": 1, "ratings": {"gt": 2, "lt": 5}, "review_count": {"gt": 5}, "bathroom": {"gt": 2}, "max_guest": {"lt": 4}}' ```

Response

Success
KPIsByBedroomCategorymap from strings to objects

KPI metrics for the requested bedroom category. Each key represents the bedroom count passed in the bedroom_category parameter. For bedroom categories >= 5, if there are not enough listings, data from +/-1 bedroom categories is aggregated. The bedrooms_considered field shows which categories were used.

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error
502
Bad Gateway Error